"""qq_login URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path
from website import views as site_view
from django.views.static import serve
from myproject import settings

urlpatterns = [
    path('weixin/', site_view.check_token),  # 用于Token验证
    path('buy/', site_view.buy),  # 打开购买页面
    path('to_pay/', site_view.wxpay),  # 跳转二维码扫描页面
    path('check_wxpay/', site_view.check_wxpay),  # 支付结果验签
    path('static/<str:path>', serve, {'document_root': settings.STATIC_ROOT}),  # 静态文件访问配置
]
